package com.ruoyi.system.domain.form.enums;

public enum EnumStartDateByQua {
    one(1, "-01-01"),
    two(2, "-04-01"),
    three(3, "-07-01"),
    four(4, "-10-01"),;

    public Integer code;
    public String text;

    EnumStartDateByQua(Integer code, String text) {
        this.text = text;
        this.code = code;
    }

    public static String getValue(Integer code) {
        for (EnumStartDateByQua ele : values()) {
            if (ele.getCode().equals(code)) return ele.getText();
        }
        return null;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

}
